import { AfterViewInit, ElementRef, OnDestroy } from "@angular/core";
import { IToolPanel, IToolPanelParams } from "@ag-grid-community/all-modules";
import { EagnaService } from '../../../@services/eagna.service';
import { UntypedFormGroup, UntypedFormBuilder, UntypedFormControl } from '@angular/forms';
import { CoreService } from "../../../@services/core.service";
import * as i0 from "@angular/core";
export declare class CustomToolsPanel implements IToolPanel, AfterViewInit, OnDestroy {
    private _eagnaService;
    private _coreService;
    private _fb;
    params: any;
    searchInput: ElementRef;
    private _subscription;
    searchQuery: any;
    formGroup: UntypedFormGroup;
    colDefControls: any[];
    isReset: any;
    controlsOrigState: any;
    profileCtrl: UntypedFormControl;
    selectedValue: any;
    profiles: any[];
    newProfileTitle: any;
    saveAs: boolean;
    enableAnalysisToolPanel: boolean;
    constructor(_eagnaService: EagnaService, _coreService: CoreService, _fb: UntypedFormBuilder);
    agInit(params: IToolPanelParams): void;
    isDisabled: boolean;
    onOpenedChange(value: any): void;
    onSelectionChange(src: any): void;
    onTitleChange(value: any): void;
    cancelSave(): void;
    deleteProfile(): void;
    private _isProfileExists;
    private _subsGridProfileList;
    applyChanges(name: any): void;
    optionsChanges(value: any, whichField: {
        field: string;
        type?: string;
    }): void;
    updateTotals(): void;
    applyExcelModeChanges(value: any, whichField: any): void;
    refresh(): void;
    saveColumns(): void;
    toggleFontMonospace(toggled?: any): void;
    saveFilters(): void;
    clearColumns(): void;
    clearFilters(): void;
    maximize(e: any): void;
    moreOptions(e: any): void;
    ngAfterViewInit(): void;
    toggleGridAnalytics(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomToolsPanel, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomToolsPanel, "custom-tools", never, {}, {}, never, never, false>;
}
